Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature.type
Interface Schema

All Superinterfaces:
  Map<Name,AttributeType>

    public interface Schema

extends Map<Name,AttributeType>

Allows for type discouverability and reuse.

We have not specified how schemas may be looked up, we recommend a JNDI solution based on the namespace uri used here. If needed you may also consider a Map in your application.

Nested Class Summary

Nested classes/interfaces inherited from interface Map
`Map.Entry<K,V>`

Method Summary
`Namespace` | `keySet()` The keySet is actually a Namespace where you can also look up TypeNames by their local part.
`Namespace` | `namespace()` Dervived quantity from keySet()
`Schema` | `profile(Namespace profile)` Used to select a profile of this schema.
`String` | `toURI()` Here is a helper method to retrive the "uri" for this schema.

Methods inherited from interface Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, put, putAll, remove, size, values`

Method Detail

### keySet

    Namespace keySet()

  The keySet is actually a Namespace where you can also look up TypeNames by their local part.

  Specified by:
    `keySet` in interface `Map<Name,AttributeType>`

### namespace

    Namespace namespace()

  Dervived quantity from keySet()

### toURI

    String toURI()

  Here is a helper method to retrive the "uri" for this schema.

  Returns:
    value from namespace().getURI().

### profile

    Schema profile(Namespace profile)

  Used to select a profile of this schema.

  Used to select a subset of types for a specific application. Profiles often are used to express limitiations of a source of data.

  Parameters:
    `profile` -
  Returns:
    Subset of this schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.